Page MenuHomeFreeBSD

Allow ruby to use libedit
ClosedPublic

Authored by bapt on Jan 16 2015, 11:15 PM.

Details

Summary

Disabling cuscomt rl_getc function and using the once from libedit/libreadline
allows the readline module to accept unicode with libedit
While here switch to libedit by default

Test Plan

run libedit and try unicode keys

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

bapt updated this revision to Diff 3217.Jan 16 2015, 11:15 PM
bapt retitled this revision from to Allow ruby to use libedit.
bapt updated this object.
bapt edited the test plan for this revision. (Show Details)
bapt added reviewers: Ruby, swills.
bapt added a comment.Jan 16 2015, 11:16 PM

Yes I missed the bump of portrevision but I don't know where it should be done :)

@sunpoet can you apply and try this in ruby 2.2 ?

https://bugs.ruby-lang.org/issues/9204 for reference

bapt updated this revision to Diff 3358.Jan 23 2015, 3:39 PM

Generalize to all ruby

swills accepted this revision.Jan 26 2015, 3:51 AM
swills edited edge metadata.

This is good, please commit.

This revision is now accepted and ready to land.Jan 26 2015, 3:51 AM
bapt closed this revision.Feb 1 2015, 11:20 PM
bapt updated this revision to Diff 3584.

Closed by commit rP378283 (authored by @bapt).